progeCAD support, tips and troubleshooting forum. progeCAD works very similar to some versions of AutoCAD. Moderated.

Moderators: caddit, Moderators

#2173 by thomasullmann
Sun Aug 24, 2014 1:07 pm
hallo, i think i am becoming crazy...

i want to creat a polyline in the activ usc. if i use the first part of the following code the lines where drawn in the world-ucs. if i use the second
part of the code by using sendcomand the lines were drawn in the correct (actual) ucs.

where is my mistake in the vba code? i dont want tu use sendcommand


Sub fl?che()
'part 1 using vba-code, allways drawn in the same ucs (world)

Dim pkts As IntelliCAD.points
Set liste = Library.CreatePoints
Set MyDok = Application.ActiveDocument

liste.Add 0, 0
liste.Add 200, 0
liste.Add 200, 100
liste.Add 0, 100
liste.Add 0, 0
MyDok.ModelSpace.AddLightWeightPolyline (liste)

'part 2 using sendcommand, drawn in the actuall ucs

MyDok.SendCommand ("_polyline" & vbCr & _
"0,0" & vbCr & _
"200,0" & vbCr & _
"200,100" & vbCr & _
"0,100" & vbCr & _
"0,0" & vbCr & vbCr)
MyDok.Regen
End Sub[/img]

#2174 by thomasullmann
Mon Aug 25, 2014 8:35 am
ok, i have found the solution using ucsmatrix